# Nagios plugin to check Ceph cluster status

This plugin check ceph health, number of OSDs UP, number of MONs UP
and PGs states to determine Ceph cluster status.

## Usage

```
usage: check_ceph_status [-h] [-d] [-b BIN] [--conf CONF] [-m MON] [-i ID]
                         [-k KEYRING] [-w WARNLOSTOSD] [-c CRITLOSTOSD]
                         [-W WARNLOSTMON] [-C CRITLOSTMON]

optional arguments:
  -h, --help            show this help message and exit
  -d, --debug
  -b BIN, --bin BIN     Ceph binary (default : /usr/bin/ceph)
  --conf CONF           Ceph configuration file
  -m MON, --mon MON     Ceph monitor address[:port]
  -i ID, --id ID        Ceph client id
  -k KEYRING, --keyring KEYRING
                        Ceph client keyring file
  -w WARNLOSTOSD, --warning-lost-osd WARNLOSTOSD
                        Warning number of non-up OSDs (default : 1)
  -c CRITLOSTOSD, --critical-lost-osd CRITLOSTOSD
                        Critical number of non-up OSDs (default : 2)
  -W WARNLOSTMON, --warning-lost-mon WARNLOSTMON
                        Warning number of non-up MONs (default : 1)
  -C CRITLOSTMON, --critical-lost-mon CRITLOSTMON
                        Critical number of non-up MONs (default : 2)
```

## Copyright

Copyright (c) 2013-2021 Benjamin Renard <brenard@zionetrix.net>

## License

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3
as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
